## WebKitGeolocationPermissionRequest WebKitGeolocationPermissionRequest — A permission request for sharing user's location |

## Types and Values

struct | WebKitGeolocationPermissionRequest

## Object Hierarchy

        GObject
        ╰── WebKitGeolocationPermissionRequest

## Implemented Interfaces

WebKitGeolocationPermissionRequest implements WebKitPermissionRequest.

## Description

WebKitGeolocationPermissionRequest represents a request for permission to decide whether WebKit should provide the user's location to a website when requested throught the Geolocation API.

When a WebKitGeolocationPermissionRequest is not handled by the user, it is denied by default.

## Functions

## Types and Values

### struct WebKitGeolocationPermissionRequest

    struct WebKitGeolocationPermissionRequest;

## See Also

WebKitPermissionRequest, WebKitWebView